Loading...
Searching...
No Matches
RDKit::HasPropQuery< TargetPtr > Class Template Reference

`#include <QueryOps.h>`

Inheritance diagram for RDKit::HasPropQuery< TargetPtr >:

## Public Member Functions

| HasPropQuery ()
| HasPropQuery (std::string v)
bool | Match (const TargetPtr what) const override
| returns whether or not we match the argument
Queries::Query< int, TargetPtr, true > * | copy () const override
| returns a copy of this query
const std::string & | getPropName () const
Public Member Functions inherited from Queries::EqualityQuery< int, TargetPtr, true >
| EqualityQuery ()
void | setVal (int what)
| sets our target value
const int | getVal () const
| returns our target value
void | setTol (int what)
| sets our tolerance
const int | getTol () const
| returns out tolerance
std::string | getFullDescription () const override
| returns a fuller text description
Public Member Functions inherited from Queries::Query< int, TargetPtr, needsConversion >
| Query ()
virtual | ~Query ()
void | setNegation (bool what)
| sets whether or not we are negated
bool | getNegation () const
| returns whether or not we are negated
void | setDescription (const std::string &descr)
| sets our text description
const std::string & | getDescription () const
| returns our text description
void | setTypeLabel (const std::string &typ)
| sets our type label
const std::string & | getTypeLabel () const
| returns our text label.
void | setMatchFunc (std::function< bool(int)> what)
| sets our match function
std::function< bool(int)> | getMatchFunc () const
| returns our match function:
void | setDataFunc (std::function< int(TargetPtr)> what)
| sets our data function
std::function< int(TargetPtr)> | getDataFunc () const
| returns our data function:
void | addChild (CHILD_TYPE child)
| adds a child to our list of children
CHILD_VECT_CI | beginChildren () const
| returns an iterator for the beginning of our child vector
CHILD_VECT_CI | endChildren () const
| returns an iterator for the end of our child vector

## Additional Inherited Members

Public Types inherited from Queries::Query< int, TargetPtr, needsConversion >
using | CHILD_TYPE
using | CHILD_VECT
using | CHILD_VECT_I
using | CHILD_VECT_CI
using | MATCH_FUNC_ARG_TYPE
using | DATA_FUNC_ARG_TYPE
Public Attributes inherited from Queries::Query< int, TargetPtr, needsConversion >
std::function< int(TargetPtr)> | d_dataFunc
std::function< int(int)> | d_dataFuncSameType
Protected Member Functions inherited from Queries::Query< int, TargetPtr, needsConversion >
int | TypeConvert (int what, Int2Type< false >) const
| calls our `dataFunc` (if it's set) on `what` and returns the result, otherwise returns `what`
Protected Attributes inherited from Queries::Query< int, TargetPtr, needsConversion >
int | d_val
int | d_tol
std::string | d_description
std::string | d_queryType
CHILD_VECT | d_children
bool | df_negate
std::function< bool(int)> | d_matchFunc
union { |
std::function< MatchFuncArgType(DataFuncArgType)> d_dataFunc |
std::function< MatchFuncArgType(MatchFuncArgType)> d_dataFuncSameType |
}; |

## Detailed Description

template<class TargetPtr>
class RDKit::HasPropQuery< TargetPtr >

Definition at line 864 of file QueryOps.h.

## Constructor & Destructor Documentation

## HasPropQuery() [1/2]

template<class TargetPtr>

RDKit::HasPropQuery< TargetPtr >::HasPropQuery | ( |  | ) |

inline

Definition at line 868 of file QueryOps.h.

References Queries::EqualityQuery< int, TargetPtr, true >::EqualityQuery(), Queries::Query< int, TargetPtr, needsConversion >::setDataFunc(), and Queries::Query< int, TargetPtr, needsConversion >::setDescription().

Referenced by copy().

## HasPropQuery() [2/2]

template<class TargetPtr>

RDKit::HasPropQuery< TargetPtr >::HasPropQuery | ( | std::string | v | ) |

inline explicit

Definition at line 872 of file QueryOps.h.

References Queries::EqualityQuery< int, TargetPtr, true >::EqualityQuery(), Queries::Query< int, TargetPtr, needsConversion >::setDataFunc(), and Queries::Query< int, TargetPtr, needsConversion >::setDescription().

## Member Function Documentation

## copy()

template<class TargetPtr>

Queries::Query< int, TargetPtr, true > * RDKit::HasPropQuery< TargetPtr >::copy | ( |  | ) | const

inline override virtual

returns a copy of this query

Reimplemented from Queries::EqualityQuery< int, TargetPtr, true >.

Definition at line 887 of file QueryOps.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_description, Queries::Query< int, TargetPtr, needsConversion >::d_description, Queries::Query< int, TargetPtr, needsConversion >::getNegation(), HasPropQuery(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setNegation().

## getPropName()

template<class TargetPtr>

const std::string & RDKit::HasPropQuery< TargetPtr >::getPropName | ( |  | ) | const

inline

Definition at line 894 of file QueryOps.h.

## Match()

template<class TargetPtr>

bool RDKit::HasPropQuery< TargetPtr >::Match | ( | const TargetPtr | arg | ) | const

inline override virtual

returns whether or not we match the argument

Reimplemented from Queries::EqualityQuery< int, TargetPtr, true >.

Definition at line 878 of file QueryOps.h.

References Queries::Query< int, TargetPtr, needsConversion >::getNegation().

The documentation for this class was generated from the following file:

- QueryOps.h